package net.sourceforge.nattable.copy.serializing;

import net.sourceforge.nattable.copy.command.CopyDataToClipboardCommand;
import net.sourceforge.nattable.layer.cell.CellDisplayConversionUtils;
import net.sourceforge.nattable.layer.cell.LayerCell;

public class CopyFormattedTextToClipboardSerializer extends CopyDataToClipboardSerializer {

	public CopyFormattedTextToClipboardSerializer(LayerCell[][] copiedCells, CopyDataToClipboardCommand command) {
		super(copiedCells, command);
	}

	@Override
    protected String getTextForCell(LayerCell cell) {
		return CellDisplayConversionUtils.convertDataType(cell, getCommand().getConfigRegistry());
	}
}
