package net.sourceforge.nattable.data.validate;

import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.layer.cell.LayerCell;

public abstract class DataValidator implements IDataValidator {

	public abstract boolean validate(int columnIndex, int rowIndex, Object newValue);

	public boolean validate(LayerCell cell, IConfigRegistry configRegistry, Object newValue) {
		return validate(cell.getColumnIndex(), cell.getRowIndex(), newValue);
	}

}
