package net.sourceforge.nattable.edit.action;

import net.sourceforge.nattable.NatTable;
import net.sourceforge.nattable.edit.command.EditCellCommand;
import net.sourceforge.nattable.ui.action.IMouseAction;

import org.eclipse.swt.events.MouseEvent;

public class MouseEditAction implements IMouseAction {

	public void run(NatTable natTable, MouseEvent event) {
		int columnPosition = natTable.getColumnPositionByX(event.x);
		int rowPosition = natTable.getRowPositionByY(event.y);

		natTable.doCommand(
				new EditCellCommand(
						natTable,
						natTable.getConfigRegistry(),
						natTable.getCellByPosition(columnPosition, rowPosition)));
	}
}