package net.sourceforge.nattable.edit.command;

import net.sourceforge.nattable.command.AbstractContextFreeCommand;
import net.sourceforge.nattable.config.IConfigRegistry;

import org.eclipse.swt.widgets.Composite;

public class EditSelectionCommand extends AbstractContextFreeCommand {
	
	private final IConfigRegistry configRegistry;
	
	private final Character character;

	private final Composite parent;

    private final boolean useAdjustOnMultiCellEdit;

	public EditSelectionCommand(Composite parent, IConfigRegistry configRegistry, Character character, boolean useAdjustOnMultiCellEdit) {
		this.parent = parent;
		this.configRegistry = configRegistry;
		this.character = character;
        this.useAdjustOnMultiCellEdit = useAdjustOnMultiCellEdit;
	}

	public IConfigRegistry getConfigRegistry() {
		return configRegistry;
	}
	
	public Character getCharacter() {
		return character;
	}
	
	public Composite getParent() {
		return parent;
	}
	
	public boolean isUseAdjustOnMultiCellEdit() {
	    return useAdjustOnMultiCellEdit;
	}
	
}
