package net.sourceforge.nattable.extension.glazedlists.groupBy.command;

import net.sourceforge.nattable.command.ILayerCommand;
import net.sourceforge.nattable.layer.ILayer;

public class UngroupByColumnIndexCommand implements ILayerCommand {
	
	private final int groupByColumnIndex;

	public UngroupByColumnIndexCommand(int groupByColumnIndex) {
		this.groupByColumnIndex = groupByColumnIndex;
	}
	
	public int getGroupByColumnIndex() {
		return groupByColumnIndex;
	}
	
	public UngroupByColumnIndexCommand cloneCommand() {
		return this;
	}

	public boolean convertToTargetLayer(ILayer targetLayer) {
		return true;
	}

}
